//
//  PersonalInfoViewController.swift
//  sample
//
//  Created by CITIZEN Watch Co.,Ltd on 2019/11/08.
//  Copyright © 2019 CITIZEN Watch Co.,Ltd. All rights reserved.
//

import Foundation
import UIKit
import RiiiverSDK

class PersonalInfoViewController: UIViewController, ERPersonalInformationViewDelegate {
    /// iiideaPreferences用WebView
    @IBOutlet weak var webPersonalInfo: ERPersonalInformationView!
    var iiidea:ERApplet?

    override func viewDidLoad() {
        if let iiidea = iiidea {
            webPersonalInfo.load(applet: iiidea, delegate: self)
        }
    }

    @IBAction func back(_ sender: Any) {
        self.dismiss(animated: true, completion: nil)
    }

    func closeView(applet: ERApplet) {
        print("close")
        self.dismiss(animated: true, completion: nil)
    }
    
    func personalInfoAllowed(applet: ERApplet) {
        print("allowed")
        self.dismiss(animated: true, completion: nil)
    }
}
